Package io.vertx.ext.auth.webauthn4j

## Enum COSEAlgorithm

- java.lang.Object
- - java.lang.Enum<COSEAlgorithm>
  - - io.vertx.ext.auth.webauthn4j.COSEAlgorithm

- All Implemented Interfaces:
    `Serializable`, `Comparable<COSEAlgorithm>`

      public enum COSEAlgorithm
      extends Enum<COSEAlgorithm>

  PublicKeyCredential https://www.iana.org/assignments/cose/cose.xhtml#algorithms

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EdDSA` |
    `ES256` |
    `ES256K` |
    `ES384` |
    `ES512` |
    `PS256` |
    `PS384` |
    `PS512` |
    `RS1` |
    `RS256` |
    `RS384` |
    `RS512` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `coseId()` |
    `static COSEAlgorithm` | `valueOf​(int coseId)` | Returns the enum constant of this type with the specified name.
    `static COSEAlgorithm` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static COSEAlgorithm[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ES256

          public static final COSEAlgorithm ES256

    - #### ES384

          public static final COSEAlgorithm ES384

    - #### ES512

          public static final COSEAlgorithm ES512

    - #### PS256

          public static final COSEAlgorithm PS256

    - #### PS384

          public static final COSEAlgorithm PS384

    - #### PS512

          public static final COSEAlgorithm PS512

    - #### ES256K

          public static final COSEAlgorithm ES256K

    - #### RS256

          public static final COSEAlgorithm RS256

    - #### RS384

          public static final COSEAlgorithm RS384

    - #### RS512

          public static final COSEAlgorithm RS512

    - #### RS1

          public static final COSEAlgorithm RS1

    - #### EdDSA

          public static final COSEAlgorithm EdDSA

  - ### Method Detail

    - #### values

          public static COSEAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (COSEAlgorithm c : COSEAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static COSEAlgorithm valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOf

          public static COSEAlgorithm valueOf​(int coseId)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `coseId` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### coseId

          public int coseId()